Subject: PIM/Paper tiger replacement

From: [email-masked] (Rusty Carruth)
Date: Fri, 9 Mar 2001 08:38:05 -0700 (MST)

My wife found a nifty(*) (microDollar (#)) program for helping keep
track of stuff, especially paper.  But I've got 2 problems with it:

1 - it runs on the dark side
2 - it costs $80, and it seems to me that its really just a nice
	front end to a database
3 (%) - it forces you to decide, ahead of time, the maximum number of
	items in each location you will keep (@)

So, I went to freshmeat and google and looked for stuff, but
my search heuristics failed me this time and I came up empty.

'Requirements' (and wants) are:

1 - runs on linux
2 - allows searching on any text entered (in the description, 
	title, etc fields)
3 - would be nice if it (the data) would be accessible using 
	secure http, but its not required that I be able to
	MODIFY it that way (but it would be very nice)
4 - does not need me to spend hours writing code (i.e. saying
	"just write your own interface to mySQL" won't cut it ;-)
5 - allows specification of at least the following info:
	location
	ISBN number, if appropriate (can you tell I'm thinking of
		books also ;-)
	Title
	Description
	author?
	(I probably want most fields to be optional also)
6 - probably want password access to the info...
7 - can limit search by location.  (May want location broken into
	a heirarchy, like 'at home/in office/drawer 3', with 
	'wildcarding' allowed for any portion of the heirarchy)
8 - does not impose arbitrary fixed limits on things, 
	like number of items at a location.

(I've probably forgotten the most important thing ;-)

So, does anyone know of anything like this that I could use? (and
where to get it, of course ;-)

Does anyone want to write it?  ;-) / 2

(and its probably not called a PIM, is it?)

rc

notes:

(*) - for some value of 'nifty'
(#) - aka m$, u$, or Micro$oft
(%) - yup, you are right - I cannot count.  ;-)
(@) - for goodness sakes, this is JUST a stupid database app -
	why in the world do we need to set a maximum number
	of items in a location?????